:root {
    --moblify-primary: #321e40;
    --moblify-secondary-100: #a337aa;
    --moblify-secondary-80: #a4dff6;

    --moblify-font-family: 'Inter', sans-serif;
}

.slide {
    font-family: var(--moblify-font-family);

    .panel {
        height: auto;
        min-height: auto !important;
    }
}

#slide-moblify-hero {
    --gradient-x: 10%;
    --gradient-y: 10%;

    background-image: radial-gradient(
        ellipse farthest-side at var(--gradient-x) var(--gradient-y),
        var(--moblify-secondary-100),
        var(--moblify-primary)
    );

    .panel {
        color: rgba(255, 255, 255, 0.9);
        flex-direction: row;

        .main {
            align-items: center;
            display: flex;
            flex-direction: column;
            gap: 50px;
            max-width: 1070px;
            width: 100%;

            .text {
                align-items: center;
                display: flex;
                flex-direction: column;
                padding-top: 50px;
                text-align: center;

                h1 {
                    color: var(--moblify-secondary-80);
                    font-size: 3rem;
                    font-weight: 800;
                    letter-spacing: 0;
                    margin-bottom: 25px;
                    text-transform: none;
                }

                p {
                    font-size: 1rem;
                    margin-bottom: 25px;
                }

                .buttons {
                    display: flex;
                    flex-direction: column;
                    justify-content: center;
                    max-width: 400px;
                    width: 100%;

                    button {
                        border-radius: 10px;
                        font-weight: 600;
                        margin: 0 15px 15px 0;
                        min-width: 150px;
                        padding: 20px;
                    }
                }
            }

            .graphic {
                max-height: 600px;
                max-width: 50%;
                min-width: 342px;

                img {
                    height: auto;
                    width: 100%;
                }
            }
        }
    }
}

@media (min-width: 768px) {
    #slide-moblify-hero,
    #slide-moblify-cta {
        .panel {
            padding: 80px 80px 0;
        }
    }
}

@media (min-width: 1100px) {
    #slide-moblify-hero {
        height: 100svh;

        .panel {
            .main {
                align-items: start;
                flex-direction: row;

                .text {
                    align-items: start;
                    text-align: start;

                    .buttons {
                        flex-direction: row;
                        justify-content: start;
                    }
                }
            }
        }
    }
}

#slide-moblify-metrics {
    background-color: var(--moblify-primary);
    color: #fff;

    .panel {
        .main {
            align-items: end;
            display: flex;
            flex-basis: 100%;
            flex-wrap: wrap;
            gap: 75px;
            justify-content: space-evenly;
            max-width: 60%;

            .metric {
                align-items: center;
                color: var(--moblify-secondary-80);
                display: flex;
                flex-direction: column;
                font-size: 3rem;
                font-weight: 700;
                gap: 20px;

                .graphic {
                    width: 100px;
                }

                p {
                    color: #fff;
                    font-size: 0.9rem;
                    font-weight: normal;
                    text-align: center;
                }
            }

            > p {
                font-size: 0.7rem;
                text-align: center;
                width: 100%;
            }

            .text {
                text-align: center;

                h2 {
                    font-weight: 700;
                    margin-bottom: 50px;
                }

                p {
                    span {
                        font-weight: 700;
                    }
                }
            }
        }
    }
}

#slide-moblify-demos {
    background-color: var(--moblify-primary);
    color: #fff;
    display: none;

    .panel {
        .main {
            display: flex;
            gap: 150px;
            justify-content: center;
            position: relative;

            .phone {
                position: relative;
                width: 300px;
                z-index: 10;

                .responsive {
                    height: 486px;
                    left: 11px;
                    overflow-y: scroll;
                    position: absolute;
                    top: 73px;
                    width: calc(100% - 19px);

                    &::-webkit-scrollbar-track {
                        background-color: #222;
                    }
                    &::-webkit-scrollbar-thumb {
                        background: #888;
                        border-radius: 5px;
                    }

                    &::-webkit-scrollbar {
                        width: 4px;
                    }
                }

                .moblify {
                    height: 100%;
                    left: 12px;
                    overflow: hidden;
                    position: absolute;
                    top: 83px;
                    width: calc(100% - 23px);

                    img {
                        position: relative;
                        width: 1300%;
                    }
                }
                .url {
                    display: none;
                    color: #000;
                    font-family: sans-serif;
                    font-size: 0.6rem;
                    font-weight: 900;
                    margin: 0 auto;
                    padding: 0 40px;
                    position: absolute;
                    text-align: center;
                    top: 50px;
                    width: 100%;
                    z-index: 3;

                    span {
                        background-color: #e8eaee;
                        padding: 0 20px;
                    }
                }
            }

            .phone-moblify {
                display: none;

                button {
                    background-color: transparent;
                    border: none;
                    display: none;
                    height: 80px;
                    position: absolute;
                    width: 80px;
                }

                button[data-dir='left'] {
                    left: -97px;
                    top: 240px;
                }
                button[data-dir='right'] {
                    right: -97px;
                    top: 240px;
                }
            }

            .text {
                align-self: center;
                flex-basis: 30%;
                z-index: 10;

                h3 {
                    font-size: 35px;
                    font-weight: 800;
                    margin-bottom: 20px;
                    text-transform: none;
                }
                p {
                    font-size: 16px;
                    margin-bottom: 20px;
                }

                .bottom {
                    display: flex;

                    .graphic {
                        max-width: 148px;
                    }
                }
            }

            .background {
                background:
                    linear-gradient(180deg, rgba(0, 0, 0, 0) 0%, rgba(0, 0, 0, 0.2) 100%), #5d2769;
                border-radius: 45px;
                position: absolute;
                height: 500px;
                top: 57px;
                width: 100%;
            }
        }
    }
}
@media (min-width: 768px) {
    #slide-moblify-demos {
        display: flex;
    }
}

#slide-moblify-performance {
    background-color: var(--moblify-primary);
    color: #fff;

    .panel {
        .main {
            h2 {
                color: var(--moblify-secondary-80);
                font-size: 45px;
                font-weight: 800;
                margin-bottom: 40px;
                text-align: center;
            }

            .content {
                align-items: center;
                display: flex;
                flex-direction: column;
                justify-content: center;

                .text-scroll {
                    display: flex;
                    flex-direction: column;
                    gap: 20px;
                    order: 2;

                    .item {
                        align-items: start;
                        border-radius: 18px;
                        background: rgba(0, 0, 0, 0.29);
                        display: flex;
                        gap: 25px;
                        padding: 25px 50px 25px 25px;

                        .checkmark {
                            background-color: #fff;
                            border: 2px solid #fff;
                            border-radius: 50%;
                            width: 60px;
                            height: 60px;
                            flex-shrink: 0;
                        }

                        .label {
                            h3 {
                                font-size: 22px;
                                font-weight: 800;
                                margin-bottom: 20px;
                            }
                            p {
                                font-size: 1rem;
                            }
                        }
                    }

                    .item:nth-child(3) {
                        /* opacity: 0.3; */
                    }

                    .item:last-child {
                        /* opacity: 0.1; */
                    }
                }

                .graphic {
                    max-width: 525px;
                    order: 1;
                    z-index: 10;
                }
            }
        }
    }
}
@media (min-width: 1000px) {
    #slide-moblify-performance {
        .panel {
            .main {
                .content {
                    align-items: start;
                    flex-direction: row;

                    .text-scroll {
                        max-width: 700px;
                        order: 1;
                        width: 50%;
                    }

                    .graphic {
                        order: 2;
                    }
                }
            }
        }
    }
}

#slide-moblify-faq {
    background-color: var(--moblify-primary);
    color: #fff;

    .panel {
        .main {
            align-items: center;
            display: flex;
            flex-direction: column;
            max-width: 80%;
            width: 900px;

            > h2 {
                color: var(--moblify-secondary-80);
                font-size: 45px;
                font-weight: 800;
                margin-bottom: 40px;
                text-align: center;
            }

            .accordion {
                width: 100%;

                .accordion-item {
                    background-color: var(--moblify-primary);
                    border: none;
                    border-bottom: 1px solid var(--moblify-secondary-80);

                    .accordion-header {
                        align-items: center;
                        background-color: var(--moblify-primary);
                        color: #fff;
                        display: flex;
                        font-size: 22px;
                        font-weight: 800;

                        button {
                            background-color: transparent;
                            box-shadow: none;
                            color: #fff;
                            font-size: 22px;
                            margin: 0;
                            width: fit-content;

                            img {
                                width: 42px;
                            }
                        }
                    }
                    .accordion-header:has(button:not(.collapsed)) {
                        background: rgba(0, 0, 0, 0.29);
                    }

                    .accordion-body {
                        background-color: rgba(0, 0, 0, 0.29);
                        color: #fff;
                        padding-left: calc(1.25rem + 60px);
                    }
                }
            }
        }
    }
}

#slide-moblify-cta {
    --gradient-x: 80%;
    --gradient-y: 50%;

    background-image: radial-gradient(
        ellipse farthest-side at var(--gradient-x) var(--gradient-y),
        var(--moblify-secondary-100),
        var(--moblify-primary)
    );

    .panel {
        color: rgba(255, 255, 255, 0.9);
        flex-direction: row;

        .main {
            align-items: center;
            display: flex;
            flex-direction: column;
            gap: 50px;
            max-width: 1070px;
            width: 100%;

            .text {
                align-items: center;
                display: flex;
                flex-direction: column;
                padding-top: 50px;
                order: 1;
                text-align: center;

                h2 {
                    color: var(--moblify-secondary-80);
                    font-size: 3rem;
                    font-weight: 800;
                    letter-spacing: 0;
                    margin-bottom: 25px;
                    text-transform: none;
                }

                img {
                    width: 156px;
                }

                p {
                    font-size: 1rem;
                    margin-bottom: 25px;
                }

                button {
                    border-radius: 10px;
                    font-weight: 600;
                    margin: 0 15px 15px 0;
                    min-width: 150px;
                    padding: 20px;
                }
            }

            .graphic {
                max-height: 600px;
                max-width: 50%;
                min-width: 342px;
                order: 2;

                img {
                    height: auto;
                    width: 100%;
                }
            }
        }
    }
}

@media (min-width: 1100px) {
    #slide-moblify-cta {
        height: 100svh;
        .panel {
            .main {
                align-items: start;
                flex-direction: row;

                .text {
                    display: block;
                    order: 2;
                    text-align: start;
                }
                .graphic {
                    order: 1;
                }
            }
        }
    }
}
